# class SimpleSyntax |
Full name | `Snmp::SimpleSyntax`
Definition | `#include <libs/ysnmp/yatesnmp.h>`
Inherits | AsnObject (unknown) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum SimpleSyntaxType { INTEGER_VALUE, STRING_VALUE, OBJECTID_VALUE, }

#### Public Methods

- SimpleSyntax ()
- SimpleSyntax (void* data, int len)
- ~SimpleSyntax ()
- int decode (DataBlock& data)
- int encode (DataBlock& data)
- void getParams (NamedList* params)
- void setParams (NamedList* params)

#### Public Members

- static const int s_type
- int m_choiceType
- int32_t m_integer_value
- static const int32_t s_integer_valueMinSize
- static const int32_t s_integer_valueMaxSize
- static const u_int16_t s_string_valueSizeMinSize
- static const u_int16_t s_string_valueSizeMaxSize
- OctetString m_string_value
- ASNObjId m_objectID_value

## Detailed Description

static const int s_type | ### s_type

enum SimpleSyntaxType { INTEGER_VALUE, STRING_VALUE, OBJECTID_VALUE, } | ### SimpleSyntaxType

int m_choiceType | ### m_choiceType

int32_t m_integer_value | ### m_integer_value

static const int32_t s_integer_valueMinSize | ### s_integer_valueMinSize

static const int32_t s_integer_valueMaxSize | ### s_integer_valueMaxSize

static const u_int16_t s_string_valueSizeMinSize | ### s_string_valueSizeMinSize

static const u_int16_t s_string_valueSizeMaxSize | ### s_string_valueSizeMaxSize

OctetString m_string_value | ### m_string_value

ASNObjId m_objectID_value | ### m_objectID_value

SimpleSyntax () | ### SimpleSyntax

SimpleSyntax (void* data, int len) | ### SimpleSyntax

~SimpleSyntax () | ### ~SimpleSyntax

int decode (DataBlock& data) | ### decode

int encode (DataBlock& data) | ### encode

void getParams (NamedList* params) | ### getParams

void setParams (NamedList* params) | ### setParams

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.